# Function applyPostWeatherLapseAbAttrs

- applyPostWeatherLapseAbAttrs(attrType, pokemon, weather, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => PostWeatherLapseAbAttr )
    - - new (...args): PostWeatherLapseAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns PostWeatherLapseAbAttr

  - pokemon: default
  - weather: Weather
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3638